<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"[
    <!ENTITY % brandDTD SYSTEM "chrome://branding/locale/brand.dtd" >
    %brandDTD;
    <!ENTITY % platformDTD SYSTEM "chrome://browser/locale/help/platformStrings.dtd" >
    %platformDTD;
]>
<!--
Contributors:
  R.J. Keller <rlk@trfenv.com> (original author)
  Nilson Cain <nilson@gmail.com>
  Steffen Wilberg <steffen.wilberg@web.de>
-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Using &brandFullName;</title>
  <link rel="stylesheet" type="text/css"
    href="chrome://help/skin/helpFileLayout.css"/>
</head>

<body>

<h1>Using &brandFullName;</h1>
<p>Welcome to &brandFullName;! &brandShortName; is an Internet browser that
  you can use to visit web pages and search the Web.</p>

<div class="contentsBox">In this section:
  <ul>
    <li><a href="#navigating_web_pages">Navigating Web Pages</a></li>
    <li><a href="#searching">Searching</a></li>
    <li><a href="#copying_saving_and_printing_pages">Copying, Saving, and
      Printing Pages</a></li>
    <li><a href="#improving_speed_and_efficiency">Improving Speed and
      Efficiency</a></li>
  </ul>
</div>

<h2 id="navigating_web_pages">Navigating Web Pages</h2>

<h3 id="viewing_your_home_page">Viewing Your Home Page</h3>
<p>When you start &brandShortName;, you will see your home page.  By default,
  you will see &brandShortName;'s home page.</p>

<div class="noMac"><p><strong>Tips</strong>:</p>
<ul>
  <li>To display more web content on the screen, you can use Full Screen mode.
    Full Screen mode condenses the &brandShortName;'s Toolbars into one small
    toolbar. To enable Full Screen mode, simply select
    <span class="menuPath">View &gt; Full Screen</span> or press
    <kbd>F11</kbd>.</li>
  <li>To go to your home page quickly, press &altKey;+<kbd>Home</kbd>.</li>
</ul></div>

<h3><strong id="moving_to_another_page">Moving to Another Page</strong></h3>
<p>You can move to a new web page by typing in its Internet address or URL
  into the Location Bar. URLs normally begin with &quot;http://&quot; followed
  by one or more names that identify the address. One example is
  &quot;http://www.mozilla.org/&quot;.</p>

<ol>
  <li>Click the Location Bar to select the URL that is already there.</li>
  <li>Type the URL of the page you want to visit. The URL you type replaces
    any text already in the Location Bar.</li>
  <li>Press &enterKey;.</li>
</ol>

<p><strong>Tip:</strong> To quickly select the URL of the Location Bar, press
  &accelKey;+<kbd>L</kbd>.</p>

<p><img src="&images.baseURL;/urlbar.png" alt=""/></p>

<p><strong>Don't know a URL</strong>? Try typing something specific to the page
  you want to visit, e.g. a name, into the Location Bar and hit &enterKey;.
  This will take you to the top result in Google for that term.</p>

<h3 id="clicking_a_link">Clicking a Link</h3>
<p>Most web pages contain links you can click to move to other pages.</p>

<ol>
  <li>Move the mouse pointer until it changes to a pointing finger. This
    happens whenever the pointer is over a link. Most links are underlined
    text, but buttons and pictures can also be links.</li>
  <li>Click the link once. While the network locates the link's page, status
    messages will appear at the bottom of the window.</li>
</ol>

<h3 id="retracing_your_steps">Retracing Your Steps</h3>
<p>There are several ways to revisit pages:</p>

<ul>
  <li>To go back or forward one page, click the <em>Back</em> or
    <em>Forward</em> button.</li>
  <li>To go back or forward more than one page, click the small triangles on
    the <em>Back</em> and <em>Forward</em> buttons. You'll see a list of pages
    you've recently visited; to return to a page, choose it from the list.</li>
  <li>To see a list of any URLs you've typed into the Location Bar, click the
    down arrow at the right end of the Location Bar. To view a page, choose it
    from the list.<br/>
    <img src="&images.baseURL;/urlbar.png" alt=""/></li>
  <li>To choose from pages you've visited during the current session, open the
    History menu and use the list in the bottom section of the menu.</li>
  <li>To choose from pages you've visited during the past several sessions,
    open the <em>History</em> menu and choose <em>Show in Sidebar</em>. You will see the
    History Sidebar. The History Sidebar displays a list of folders.
    Clicking the folders displays subfolders or titles of web pages.
    You can click a page's title to view that page.</li>
</ul>

<h3 id="stopping_and_reloading">Stopping and Reloading</h3>
<p>If a page is loading too slowly or you no longer wish to view a page,
  click the <em>Stop</em> button.</p>

<p>To reload the current page or to get the most up-to-date version, click
  the <em>Reload</em> button or press &accelKey;+<kbd>R</kbd>.</p>

<h3 id="tabbed_browsing">Tabbed Browsing</h3>
<p>When you visit more than one web page at a time, you can use Tabbed
  Browsing to navigate the Web faster and easier.</p>

<p>Tabbed Browsing lets you open tabs, each displaying a web page, within a
  single &brandShortName; window. You don't have to have several windows open
  to visit several different web pages. This frees up space on your desktop.
  You can open, close, and reload web pages conveniently in one place without
  having to switch to another window.</p>

<p>For more info, see <a href="tabbed_browsing.xhtml">Tabbed Browsing</a>.</p>

<h3 id="using_the_sidebar">Using the Sidebar</h3>
<p>The Sidebar is an area on the left side of the screen that you can use for
  viewing bookmarks or history.  Extensions may add new ways to use the Sidebar
  as well.</p>

<p>To view an item in the Sidebar, select <span class="menuPath">View &gt;
  Sidebar</span>. From there you can select the Sidebar tab you want.</p>

<h2 id="searching">Searching</h2>

<h3 id="searching_the_web">Searching the Web</h3>

<p>Searching for web pages on a particular topic is as easy as typing a few
  words into &brandShortName;'s Search Bar.<br/>
  <img src="&images.baseURL;/searchbar.png" alt=""/></p>

<p>For example, if you want to find information about baby dolls:</p>
<ol>
  <li>Click in the Search Bar.</li>
  <li>Type the phrase <kbd>baby doll</kbd>. Your typing replaces any text
    currently in the search bar.</li>
  <li>Hit &enterKey; to search.</li>
</ol>

<p>Search results for "baby doll" appear in the &brandShortName; window.</p>

<h4 id="selecting_the_search_engine">Selecting the Search Engine</h4>

<p>You can switch the Search Engine by clicking on its icon and selecting the
  Search Engine of your choice. Some Search Engines, like Google, search the
  whole web; others, like Amazon.com, only search specific sites.</p>

<h4 id="manage_search_engines">Manage Search Engines</h4>
<p>Click on the icon of the Search Engine and select <em>Manage Search
  Engines...</em> to add, reorder, remove, or restore the default Search Engines.
  Select a Search Engine and click the appropriate button to to move
  it around within the list or remove it. You can install new search engines by
  clicking the <em>Get more search engines...</em> link.</p>

<h3 id="searching_on_selected_words_in_a_web_page">Searching the Web for
  Words Selected in a Web Page</h3>

<p>&brandShortName; allows you to search the web for words you select within
  a web page:</p>

<ol>
  <li>Select (highlight) any words in a web page.</li>
  <li><span class="noMac">Right-click</span><span class="mac">Press &ctrlKey;,
    click the mouse button,</span> and choose <em>Search [Search Engine] for
    "[your selected words]"</em> from the popup menu.</li>
</ol>

<p>&brandShortName; opens a new tab and uses the currently selected Search
  Engine to search for your selected words.</p>

<h3 id="searching_within_a_page">Searching Within a Page</h3>

<p>To find text within the page you are currently viewing in
  &brandShortName;:</p>

<ol>
  <li>Press &accelKey;+<kbd>F</kbd> or select <span class="menuPath">Edit &gt;
    Find in This Page...</span> to open the Find Toolbar at the bottom of
    &brandShortName;.</li>
  <li>Type the text you want to find. The search automatically begins as soon as
    you type something into the search box.</li>
  <li>The Find Toolbar offers the following choices:
  <ul>
    <li><strong>Next</strong>: find text in the page that is below the current
      cursor position.</li>
    <li><strong>Previous</strong>: find text that is above the current cursor
      position.</li>
    <li><strong>Highlight all</strong>: highlight occurrences of your search
      string in the current page.</li>
    <li><strong>Match case</strong>: limit the search to text that has the
      same capitalization as your search string.</li>
  </ul>
  </li>
</ol>

<p>To find the same word or phrase again, press <kbd>F3</kbd> or select
  <span class="menuPath">Edit &gt; Find Again</span>.</p>

<p><strong>Tip</strong>: Enable the <em>Search for text when I start typing</em>
  &pref.singular; in the <em>General</em> tab of the <em>Advanced</em> panel of
  &pref.menuPath; to enable the <em>Quick Find</em> mode of the Find Toolbar.
  When enabled, the <em>Quick Find</em> toolbar automatically opens and starts
  searching as soon as you type something. Unlike the Find Toolbar, the
  <em>Quick Find</em> toolbar will close automatically after a few seconds of
  inactivity.</p>

<h2 id="copying_saving_and_printing_pages">Copying, Saving, and Printing
  Pages</h2>

<h3 id="copying_part_of_a_page">Copying Part of a Page</h3>

<p>To copy text from a page:</p>
<ol>
  <li>Select the text.</li>
  <li>Select <span class="menuPath">Edit &gt; Copy</span> from the Menu
    Bar.</li>
</ol>

<p>You can paste the text into other programs.</p>

<p>To copy a link (URL) or an image link from a page:</p>

<ol>
  <li>Position the pointer over the link or image.</li>
  <li><span class="noMac">Right-click</span><span class="mac">Press &ctrlKey;
    and click on</span> the link or image to display a popup menu.</li>
  <li>Choose Copy Link Location or Copy Image Location. If an image is also a
    link, you can choose either menu item.</li>
</ol>

<p>You can paste the link into other programs or into &brandShortName;'s
  Location Bar.</p>

<h3 id="saving_all_or_part_of_a_page">Saving All or Part of a Page</h3>

<p>To save an entire page in &brandShortName;:</p>

<ol>
  <li>Select <span class="menuPath">File &gt; Save Page As</span>. You will see
    the Save As dialog box.</li>
  <li>Choose a location for the saved page.</li>
  <li>Choose a format for the page you want to save:
  <ul>
    <li><strong>Web Page, Complete</strong>: Save the whole web page along
      with pictures. This choice allows you to view it as originally shown
      with pictures, but it may not keep the HTML link structure of the
      original page. &brandShortName; creates a new directory where the
      page is saved to save pictures and other files necessary to show the
      whole web page.</li>
    <li><strong>Web Page, HTML Only</strong>: Save the original page
      without pictures. This choice preserves the original HTML link
      structure in one file.</li>
    <li><strong>Text file</strong>: Save the original page as a text file.
      This choice will not preserve the original HTML link structure, but
      will allow you to see a text version of the web page in any text
      editor.</li>
  </ul>
  </li>
  <li>Type a file name for the page and click <em>Save</em>.</li>
</ol>

<p>To save a frame from within a web page:</p>

<ol>
  <li>Position the mouse pointer within the frame.</li>
  <li><span class="mac">Press &ctrlKey; and click on</span><span
    class="noMac">Right-click</span> the frame to display a popup menu.</li>
  <li>Select <span class="menuPath">This Frame &gt; Save Frame As</span> from
    the submenu. You will see the Save As dialog box.</li>
  <li>Choose a location for the saved page.</li>
  <li>Choose a format for the page you want to save.</li>
  <li>Type a file name for the page and click <em>Save</em>.</li>
</ol>

<p>Saving a file onto your hard drive lets you view the page when you aren't
  connected to the Internet.</p>

<p>To save an image from a page:</p>
<ol>
  <li>Position the mouse pointer over the image.</li>
  <li><span class="noMac">Right-click</span><span class="mac">Press &ctrlKey;
    and click on</span> the image to display a popup menu.</li>
  <li>Select <span class="menuPath">Save Image As</span>. You will see the
    Save Image dialog box.</li>
  <li>Choose a location for the saved image.</li>
  <li>Type a file name for the image and click <em>Save</em>.</li>
</ol>

<p>To save a page without displaying it (which is useful for retrieving a
  nonformatted page that isn't intended for viewing):</p>

<ol>
  <li>Position the mouse pointer over a link to the page.</li>
  <li><span class="noMac">Right-click</span><span class="mac">Press &ctrlKey;
    and click on</span> the link to display a popup menu.</li>
  <li>Select <span class="menuPath">Save Link to Disk</span>. You will see the
    Save As dialog box.</li>
  <li>Choose a location for the saved page.</li>
  <li>Type a file name for the page and click <em>Save</em>.</li>
</ol>

<p><strong>Important</strong>: Some links automatically download and save files
  to your hard drive after you click them. The URLs for these links often
  begin with &quot;ftp&quot; or end with a file-type extension such as
  &quot;au&quot; or &quot;mpeg.&quot; These links might transmit software,
  sound, or movie files and can launch helper applications that support the
  files.</p>

<p><strong>Tip</strong>: To set an image as your desktop background,
  <span class="noMac">right-click</span><span class="mac">press &ctrlKey;,
  click the mouse button</span> on an image and choose <em>Set As Desktop
  Background...</em> from the popup menu.</p>

<h3 id="printing_a_page">Printing a Page</h3>

<p>To print the current page:</p>

<ul>
  <li>Select <span class="menuPath">File &gt; Print</span>.</li>
</ul>

<p>To print selected text:</p>
<ul>
  <li>Select the text in the current page.</li>
  <li>Select <span class="menuPath">File &gt; Print</span>. The print dialog
    box will appear.</li>
  <li>Under <em>Print Range</em>, click <em>Selection</em>.</li>
</ul>

<p>The web page's author and the size of the printed page, not the size of the
  onscreen window, determine placement of content on the printed page. Text is
  wrapped and graphics are repositioned to accommodate paper size.</p>

<h3 id="using_print_preview">Using Print Preview</h3>

<p>To have an early look at how a page will look before it is printed, you can
  use Print Preview:</p>

<ul>
  <li>Select <span class="menuPath">File &gt; Print Preview</span>.</li>
</ul>

<p>In Print Preview, you can do the following with pages you want to print:</p>
<ul>
  <li><strong>View a preview of each page</strong>: Click the
    Next <img alt="" src="chrome://global/skin/arrow/arrow-rit-sharp.gif"/>,
    Previous <img alt="" src="chrome://global/skin/arrow/arrow-lft-sharp.gif"/>,
    First <img alt="" src="chrome://global/skin/arrow/arrow-lft-sharp-end.gif"/>,
    or Last <img alt="" src="chrome://global/skin/arrow/arrow-rit-sharp-end.gif"/>
    button to move between pages.</li>
  <li><strong>Change the scale (size) of pages</strong>: In the <em>Scale</em>
    drop-down menu, choose &quot;50%&quot; to make each page half the size of
    the original page. To automatically resize pages so that they fit the width
    of the paper, choose &quot;Shrink to Fit&quot;. You can also type in your
    own percentage by choosing &quot;Custom...&quot;.</li>
  <li><strong>Change the orientation of the page</strong>: Choose
    <em>Portrait</em> <img alt="" src="chrome://global/skin/icons/Portrait.png"/>
    to position the page with the shorter side facing up. Choose
    <em>Landscape</em> <img alt="" src="chrome://global/skin/icons/Landscape.png"/>
    to position the page sideways with the longer side facing up.</li>
  <li><strong>Go to Page Setup</strong>: Click <em>Page Setup</em> to further
    customize pages you want to print.</li>
  <li><strong>Go to Print</strong>: Click <em>Print</em> to print the
    pages.</li>
</ul>

<p class="noWin"><strong>Note</strong>: Some Print Preview functions are different or
  unavailable on Mac OS and Linux.</p>

<h3 id="using_page_setup">Using Page Setup</h3>
<p class="noWin"><strong>Note</strong>: Some Page Setup functions are different or
  unavailable on Mac OS and Linux.</p>

<p>To customize how pages are printed in &brandShortName;, you can use Page Setup:</p>

<ul>
  <li>Select <span class="menuPath">File &gt; Page Setup</span>.</li>
</ul>

<p>In Page Setup, you can change the following settings for pages you want to
  print:</p>

<ul>
  <li><strong>Format &amp; Options</strong>: Choose the orientation, scale, and other
    options:
    <ul>
      <li><strong>Orientation</strong>:
        <ul>
          <li><strong>Portrait</strong>: Choose this <img alt=""
            src="chrome://global/skin/icons/Portrait.png"/> to position the page
            normally, with the shorter side facing up.</li>
          <li><strong>Landscape</strong>: Choose this <img alt=""
            src="chrome://global/skin/icons/Landscape.png"/> to position the page
            sideways, with the longer side facing up.</li>
        </ul>
      </li>
      <li><strong>Scale</strong>: Type in a percentage of the original size. For example,
        type &quot;50&quot; to make each page half the size of the original page.
        <ul>
          <li><strong>Shrink To Fit Page Width</strong>: Select this to automatically
            resize the page to the width of the paper.</li>
        </ul>
      </li>
      <li><strong>Options</strong>:
        <ul>
          <li><strong>Print Background (colors and images)</strong>: Select this to
            print background images and colors. If unselected only pictures and color in the
            foreground (in front) are printed.</li>
        </ul>
      </li>
    </ul>
  </li>
  <li><strong>Margins &amp; Header/Footer</strong>: Click this tab to set up margins,
    headers, and footers:
    <ul>
      <li><strong>Margins:</strong>
        <ul>
          <li><strong>Top, Bottom, Left, Right</strong>: Type a margin in the given units
            for the top, bottom, left, and right margins.</li>
        </ul>
      </li>
      <li><strong>Headers &amp; Footers</strong>: Each drop-down list represents either
        a header or a footer area. The top row of drop-down lists are for the left, center, and
        right header areas. The bottom row are for the left, center, and right footer areas. In
        each drop-down list, choose one of the following options:
        <ul>
          <li><strong>--blank--</strong>: Show nothing in this area.</li>
          <li><strong>Title</strong>: Show the web page title.</li>
          <li><strong>URL</strong>: Show the web page URL (URL's usually start with
            &quot;http://&quot;).</li>
          <li><strong>Date/Time</strong>: Show the date and time when the web page is
            printed.</li>
          <li><strong>Page #</strong>: Show the page number of each page.</li>
          <li><strong>Page # of #</strong>: Show the page number along with the total number
            of pages. For example, if you print a five page web page, &quot;3 of 5&quot; would
            be shown on the third page.</li>
          <li><strong>Custom</strong>: Type your own text. You can include any of the
            following codes to print specific information:
            <ul>
              <li><strong>&amp;PT</strong>: Page Number with Total (Example: &quot;3 of
                5&quot;)</li>
              <li><strong>&amp;P</strong>: Page Number</li>
              <li><strong>&amp;D</strong>: Date</li>
              <li><strong>&amp;U</strong>: URL</li>
              <li><strong>&amp;T</strong>: Page Title</li>
            </ul>
          </li>
        </ul>
      </li>
    </ul>
  </li>
</ul>

<p><strong>Tip</strong>: To see a preview of changes made to Page Setup, use
  <a href="using_firebird.xhtml#using_print_preview">Print Preview</a>.</p>

<h2 id="improving_speed_and_efficiency">Improving Speed and Efficiency</h2>

<h3 id="managing_different_file_types">Managing Different File Types</h3>
<p>&brandShortName; can handle many types of files. However, for some files such
  as movies or music, &brandShortName; needs Plugins or external applications
  that can handle those files. If &brandShortName; doesn't have the needed
  Plugin or doesn't know what application to use to open the file, it can still
  save the file to your hard disk. When saving files, you can keep track of them
  using the Download Manager.</p>

<p>Plugins extend &brandShortName;'s functionality and run within it.
  Plugins like Sun Java, Macromedia Flash, and RealNetworks RealPlayer allow
  &brandShortName; to show multimedia files and run small applications such as
  movies, animations, and games. You can find common Plugins on the <a href=
  "https://pfs.mozilla.org/plugins/" target="_blank">Plugins page</a>
   at Mozilla Update.</p>

<p>When files cannot be opened within &brandShortName;, you can choose to open
  them with applications outside of &brandShortName;. For example, you can use
  the media player of your choice to play MP3 files.</p>

<p>You can specify how &brandShortName; handles files it can't display in the
  <em>Download Actions</em> dialog. To open this dialog, select &pref.menuPath;,
  open the <em>Content</em> panel, and click the <em>Manage...</em> button in
  the <em>File Types</em> section. You can change the action for a file type or
  remove it.
  More information about this dialog is available in <a
  href="prefs.xhtml#file_types">File Types &pref.plural;</a>.</p>

<p>When you click on a file and &brandShortName; doesn't know how to handle it,
  an <em>Opening</em> dialog box is displayed, offering these choices:</p>

<ul>
  <li><strong>Open with</strong>: &brandShortName; opens the file using the
    default program in your system settings. You can also choose a different
    program by selecting <em>Other...</em> in the drop-down list.</li>
  <li><strong>Save to Disk</strong>: &brandShortName; allows you to select a
    location to save the file. If you have selected <em>Save all files to (this
    folder)</em> in the <em>Main</em> panel of &pref.pluralCaps;,
    the file will automatically be saved to the default folder; otherwise
    &brandShortName; will ask you where to save it.</li>
  <li><strong>Do this automatically for files like this from now on</strong>:
    When this is selected, &brandShortName; will automatically perform the
    selected action the next time you download a file of this type.</li>
</ul>

<p><strong>Tip</strong>: You can clear your saved &pref.plural; for <em>Do this
  automatically for files like this from now on</em> in the <em>Download
  Actions</em> dialog.</p>

<h3 id="making_firebird_your_default_browser">Making &brandShortName; Your
  Default Browser</h3>

<p>&brandShortName; displays web pages on the Internet and
  on your computer. To easily open web pages, you can make &brandShortName;
  your default browser.</p>

<p>To make &brandShortName; your default web browser, select &pref.menuPath;
  and click the <em>Check Now</em> button in the <em>Main</em> panel.</p>

<h3 id="changing_cache_settings">Changing Cache Settings</h3>
<p>&brandShortName; stores copies of frequently accessed pages in the cache.
  By doing this &brandShortName; doesn't have to retrieve the page from the
  network each time you view the web page.</p>

<p>To set the size of the cache:</p>

<ol>
  <li>Select &pref.menuPath;.</li>
  <li>Open the <em>Advanced</em> panel and click the <em>Network</em> tab.</li>
  <li>Enter a number in the <em>Use up to</em> field to specify the size of the
    cache. The default size is 50MB.</li>
</ol>

<p><strong>Important</strong>: A larger cache allows more data to be quickly
  retrieved, but more of your hard disk space is used.</p>

<p>When you quit &brandShortName;, it performs cache maintenance. If
  maintenance takes longer than you wish, try reducing the size of the disk
  cache.</p>

<p>To reload a page at any time, click the <em>Reload</em> button in
  &brandShortName;'s <em>Navigation Toolbar</em>. &brandShortName; then loads
  and displays the latest version of the page.</p>

<div class="contentsBox"><em>12 September 2006</em></div>
<p>Copyright &copy; &copyright.years; Contributors to the Mozilla Help Viewer Project.</p>

</body>
</html>
